<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function asinh

Calculate the hyperbolic arcsine of a value,
defined as `asinh(x) = ln(x + sqrt(x^2 + 1))`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.asinh(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Hyperbolic arcsine of x


### Throws

Type | Description
---- | -----------


## Examples

```js
math.asinh(0.5)       // returns 0.48121182505960347
```


## See also

[acosh](acosh.md),
[atanh](atanh.md)
